using System;

public class NodeButtonData
{
	public NodeButtonData(IOnaholeNodeButton button, Action enterEvent)
	{
		this.button = button;
		this.enterEvent = enterEvent;
	}

	public NodeButtonData()
	{
	}

	public OnaholeNodeButton.SelectType selectType
	{
		get
		{
			return this.button.selectType;
		}
		set
		{
			this.button.selectType = value;
		}
	}

	public IOnaholeNodeButton button;

	public Action enterEvent;
}
